Skip to main content
`Ctrl`+`K`

# TSAdaptGetMaxIgnore

Get error estimation threshold. Solution components below this threshold value will not be considered when computing error norms for time step adaptivity (in absolute value).

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptGetMaxIgnore(TSAdapt adapt, PetscReal *max_ignore)

Not Collective

## Input Parameter

- adapt - adaptive controller context

## Output Parameter

- max_ignore - threshold for solution components that are ignored during error estimation

## See Also

TS: Scalable ODE and DAE Solvers, Error control via variable time-stepping, `TSAdapt`, `TSAdaptSetMaxIgnore()`, `TSAdaptChoose()`

## Level

intermediate

## Location

src/ts/adapt/interface/tsadapt.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages